org.keycloak.protocol.oidc.endpoints.request

## Class AuthorizationEndpointRequest

- java.lang.Object
- - org.keycloak.protocol.oidc.endpoints.request.AuthorizationEndpointRequest

-     public class AuthorizationEndpointRequest
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationEndpointRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAcr()`
    `String` | `getAction()`
    `Map<String,String>` | `getAdditionalReqParams()`
    `String` | `getClaims()`
    `String` | `getClientId()`
    `String` | `getCodeChallenge()`
    `String` | `getCodeChallengeMethod()`
    `String` | `getDisplay()`
    `String` | `getIdpHint()`
    `String` | `getInvalidRequestMessage()`
    `String` | `getLoginHint()`
    `Integer` | `getMaxAge()`
    `String` | `getNonce()`
    `String` | `getPrompt()`
    `String` | `getRedirectUriParam()`
    `String` | `getResponseMode()`
    `String` | `getResponseType()`
    `String` | `getScope()`
    `String` | `getState()`
    `String` | `getUiLocales()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizationEndpointRequest

          public AuthorizationEndpointRequest()

  - ### Method Detail

    - #### getAcr

          public String getAcr()

    - #### getClientId

          public String getClientId()

    - #### getRedirectUriParam

          public String getRedirectUriParam()

    - #### getResponseType

          public String getResponseType()

    - #### getResponseMode

          public String getResponseMode()

    - #### getState

          public String getState()

    - #### getScope

          public String getScope()

    - #### getLoginHint

          public String getLoginHint()

    - #### getPrompt

          public String getPrompt()

    - #### getNonce

          public String getNonce()

    - #### getMaxAge

          public Integer getMaxAge()

    - #### getIdpHint

          public String getIdpHint()

    - #### getAction

          public String getAction()

    - #### getClaims

          public String getClaims()

    - #### getAdditionalReqParams

          public Map<String,String> getAdditionalReqParams()

    - #### getCodeChallenge

          public String getCodeChallenge()

    - #### getCodeChallengeMethod

          public String getCodeChallengeMethod()

    - #### getDisplay

          public String getDisplay()

    - #### getInvalidRequestMessage

          public String getInvalidRequestMessage()

    - #### getUiLocales

          public String getUiLocales()

Copyright © 2021 JBoss by Red Hat. All rights reserved.